#
# spec file for package qlvnictools (Version 0.0.1 )
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           qlvnictools
Version: 0.0.1
Release: 1.3
Summary:        VNIC ULP service
Group:          System/Console
License:        GPL v2 only
URL:            http://www.openfabrics.org
Source: http://www.openfabrics.org/downloads/qlvnictools-0.0.1.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       ibvexdmtools

%description
VNIC ULP service

%package -n ibvexdmtools 
Group:          System/Console
Summary:        Tools for VNIC/IB

%description -n ibvexdmtools
In conjunction with the kernel ib_vnic driver, ibvexdmtools allows you
to discover and use QLogic Virtual NIC devices via the VNIC protocol
over InfiniBand.

%prep
%setup -q

%build
pushd ibvexdmtools
%configure
make
popd

%install
install -D qlgc_vnic $RPM_BUILD_ROOT/%_sysconfdir/init.d/qlgc_vnic
install -D qlgc_vnic_parser.pl $RPM_BUILD_ROOT/%_sbindir/qlgc_vnic_parser.pl
install -D qlogic_vnic.cfg.sample $RPM_BUILD_ROOT/%_sysconfdir/infiniband/qlogic_vnic.cfg
pushd ibvexdmtools
%makeinstall
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README

%_sysconfdir/init.d/qlgc_vnic

%_sbindir/qlgc_vnic_parser.pl

%_sysconfdir/infiniband

%files -n ibvexdmtools
%defattr(-,root,root)
%doc ibvexdmtools/NEWS ibvexdmtools/ChangeLog
%{_sbindir}/ibvexdm

%changelog
* Thu Jul 12 2007 - hvogel@suse.de
- move the init script and the config to the right place
* Tue Jul 03 2007 - hvogel@suse.de
- Initial Package, Version 0.0.1
